%define name	xmps
%define version	0.1.3
%define release	5mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www-eleves.enst-bretagne.fr/~chavarri/xmps/
Source:		http://www-eleves.enst-bretagne.fr:80/%7Echavarri/xmps/sources/%{name}-%{version}.tar.bz2
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A video player
BuildPreReq:	libsmpeg0.4-devel, libSDL1.1, gdk-pixbuf-devel
Requires:	libsmpeg0.4, libSDL1.1, gdk-pixbuf

%description 
The X MPEG Player System (XMPS) is a GTK frontend to the SMPEG library
with a fully skinnable look like XMMS. It has playlist support and
can use either SDL or OpenGL for the display.

%package devel
Summary: Libraries, and includes to develop XMPS applications
Group: Development/C
Requires: %{name}
%description devel
Libraries and header files needed for developing XMPS applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

%make
						
%install
make prefix=$RPM_BUILD_ROOT/%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL
%doc NEWS README TODO 
%attr(755,root,root) %{_prefix}/bin/xmps
%{_libdir}/xmps/*/*.so
%{_libdir}/libxmps.so
%{_datadir}/gnome/*
%{_datadir}/xmps

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xmps
%attr(755,root,root) %{_bindir}/*-config
%{_includedir}/xmps/*.h
%{_libdir}/xmps/*/*.la
%{_libdir}/xmps/*/*.a
%{_libdir}/libxmps.la
%{_libdir}/libxmps.a
%{_datadir}/aclocal/*

%changelog
* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-5mdk
- updated requires and buildrequires

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-4mdk
- more macros

* Tue Aug 15 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-3mdk
- added the files libxmps.*.

* Mon Aug 14 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1.3-2mdk
- added libxmps.so in Provides.
- split into main and devel packages.
- The AVI support is now into an external plugin.

* Sun Aug 13 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1.3-1mdk
- updated to version 0.1.3.

* Sat Jun 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.1.1-0.1mdk
- updated to version 0.1.1(beta).
- added make for AVI interface Codec.

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-3mdk
- fix files section.
- add plugins.
- add requires & buildrequires.

* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- clean spec.

* Tue Jun 20 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.0-1mdk
- first spec for Mandrake.
